See the top rated post in this thread. Click here

Page 1 of 2 12 LastLast
Results 1 to 10 of 13

Thread: Arc length??? Any way to draw to an exact length?

  1. #1
    Active Member fhoffnar's Avatar
    Join Date
    2007-01
    Location
    Hudson Valley, NY
    Posts
    99
    Login to Give a bone
    0

    Default Arc length??? Any way to draw to an exact length?

    I'm trying to draw an exact length arc length, with a 15' radius. Is there anyway to do this? If I manually draw the arc (not trim) I can enter a chord length, but I don't want that. I want an EXACT 11'-6" arc at 15' radius.

    Any clever ideas?

  2. #2
    All AUGI, all the time Richard.Kent's Avatar
    Join Date
    2001-01
    Location
    Albuquerque, NM, USA
    Posts
    622
    Login to Give a bone
    1

    Default Re: Arc length??? Any way to draw to an exact length?

    The only way I know of is to draw the arc with the radius you want at a random length, then use lengthen to set the exact length.

    Or use a lisp routine like

    ;Written By: derek 'maverick' beals
    ;Version: a
    ;Date: 9-26-05
    ;Description: this lisp routine draws an arc at given length & radius

    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    ;Non-Standard Lisp Functions

    (defun rtd (r) ; Radians to Degrees
    (/ (* r 180.0) pi))

    (defun dtr (d) ; Degrees to Radians
    (/ (* d pi) 180.0))

    (defun tan (a) ; Tangent of variable (a) in Radians
    (/ (sin a) (cos a)))

    (defun sqr (a) (* a a)) ; Squares the variable (a)

    (defun fixx (realnum) ; Rounds the variable (realnum) to the next highest whole integer (opposite of the "fix" function)
    (if (> realnum (+ (fix realnum) 0))
    (setq realnum (1+ (fix realnum)))
    (setq realnum (fix realnum))
    )
    realnum
    )

    ;(setq variable (ssget)) - allows multiple picks in lisp

    ;(setq OS (getvar "osmode"))...(setvar "osmode" OS) - gets current O-snap settings @ front of lisp, then reestablishes them at the end

    ;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
    ;Lisp Programming starts here


    (setq LENG (getdist "\nEnter length of arc: ")
    RAD (getdist "\nEnter radius of arc: ")
    CEN (getpoint "\nPick center point of arc: ")
    ANG (/ LENG RAD)
    ANG1 (/ (- PI ANG) 2.0)
    ANG2 (/ (+ PI ANG) 2.0)
    ARC (entmake (list
    (cons 0 "ARC")
    (cons 10 CEN)
    (cons 40 RAD)
    (cons 50 ANG1)
    (cons 51 ANG2)))
    )
    (princ)
    Attached Files Attached Files

  3. #3
    Active Member fhoffnar's Avatar
    Join Date
    2007-01
    Location
    Hudson Valley, NY
    Posts
    99
    Login to Give a bone
    0

    Default Re: Arc length??? Any way to draw to an exact length?

    I never thought to use a LISP, it worked perfectly, thanks!

  4. #4
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,803
    Login to Give a bone
    0

    Lightbulb Re: Arc length??? Any way to draw to an exact length?

    It can be done with plain AutoCAD.

    Start the arc from the center point, pick the start point (using something like @15<0).
    The use the "A" option to specify the delta angle.
    Enter 'CAL to start the command line calculator
    Enter r2d(L/R) [Where "L" = the Arc Length and "R" = Radius]

    The result will be the exact delta angle required to construct the 11.5 arc length.

    You could also use the QuickCalc instead of the command line 'CAL.

    Example below (input in Bold)


    Command: ._ARC
    Specify start point of arc or [Center]: _C
    Specify center point of arc:
    Specify start point of arc: @15<0

    Specify end point of arc or [Angle/chord Length]: _A
    Specify included angle: 'CAL
    >>>> Expression: r2d(11.5/15)

    Resuming ARC command.
    Specify included angle: 43.926764293363
    Command:
    R.K. McSwain | CAD Panacea |

  5. #5
    Active Member Shinyhead's Avatar
    Join Date
    2006-07
    Location
    Gainesville, FL
    Posts
    84
    Login to Give a bone
    0

    Default Re: Arc length??? Any way to draw to an exact length?

    There is another really easy way.
    Draw an arc of the correct radius and make sure its longer then you want.
    Then use the measure command, it will place a point at the desired length.
    Trim to that point and you have your arc at the correct length.

  6. #6
    Certifiable AUGI Addict ccowgill's Avatar
    Join Date
    2004-08
    Location
    Iron Station, NC
    Posts
    3,198
    Login to Give a bone
    0

    Default Re: Arc length??? Any way to draw to an exact length?

    Quote Originally Posted by Shinyhead View Post
    There is another really easy way.
    Draw an arc of the correct radius and make sure its longer then you want.
    Then use the measure command, it will place a point at the desired length.
    Trim to that point and you have your arc at the correct length.
    Instead of using 2 commands to get the length you want, and not knowing if it is long enough in the first place, why not draw the arc with the proper radius and use the lengthen command to specify the proper total length, that way if the arc is too short it will lengthen it to the proper length, or if it is too long, it will shorten it to the proper length.



    #1000

  7. #7
    Administrator rkmcswain's Avatar
    Join Date
    2004-09
    Location
    Earth
    Posts
    9,803
    Login to Give a bone
    0

    Exclamation Re: Arc length??? Any way to draw to an exact length?

    Quote Originally Posted by ccowgill View Post
    Instead of using 2 commands to get the length you want
    Using ._ARC and ._LENGTHEN is using 2 commands....

    But that would be the quick and dirty way. My example above of using 'CAL was just an example of how to do it inside the ._ARC command, without using trim, measure, lengthen, etc.

    If I only had vanilla AutoCAD, I would use ._ARC and ._LENGTHEN also.
    No need to use ._MEASURE and ._TRIM at all.
    R.K. McSwain | CAD Panacea |

  8. #8
    Certified AUGI Addict jaberwok's Avatar
    Join Date
    2000-12
    Location
    0,0,0 The Origin
    Posts
    8,570
    Login to Give a bone
    0

    Default Re: Arc length??? Any way to draw to an exact length?

    FWIW, I do use vanilla acad and I do use Lengthen. And it works.

  9. #9
    Certifiable AUGI Addict ccowgill's Avatar
    Join Date
    2004-08
    Location
    Iron Station, NC
    Posts
    3,198
    Login to Give a bone
    0

    Default Re: Arc length??? Any way to draw to an exact length?

    Quote Originally Posted by rkmcswain View Post
    Using ._ARC and ._LENGTHEN is using 2 commands....

    But that would be the quick and dirty way. My example above of using 'CAL was just an example of how to do it inside the ._ARC command, without using trim, measure, lengthen, etc.

    If I only had vanilla AutoCAD, I would use ._ARC and ._LENGTHEN also.
    No need to use ._MEASURE and ._TRIM at all.
    sorry I should have clarified, the 2 commands I was referring to were measure, then trim, I was not counting arc.

  10. #10
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,095
    Login to Give a bone
    0

    Default Re: Arc length??? Any way to draw to an exact length?

    Quote Originally Posted by ccowgill View Post
    sorry I should have clarified, the 2 commands I was referring to were measure, then trim, I was not counting arc.
    You also forgot to mention ERASE as it would be needed to remove the block or point that is created with the MEASURE command.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

Page 1 of 2 12 LastLast

Similar Threads

  1. Draw arc by arc length
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 2
    Last Post: 2013-10-28, 02:32 PM
  2. How do I draw an arc of specific length?
    By ukdodger in forum AutoCAD 3D (2006 or below)
    Replies: 5
    Last Post: 2011-03-02, 10:18 PM
  3. LISP to draw polyline with specified segment length
    By bhughes.211978 in forum AutoLISP
    Replies: 8
    Last Post: 2010-08-31, 09:45 PM
  4. Draw arc using set length
    By autocad.wishlist1734 in forum AutoCAD Wish List
    Replies: 0
    Last Post: 2006-11-09, 02:04 PM
  5. Draw an ARC by length, not cord length
    By melanie.santer in forum AutoCAD General
    Replies: 5
    Last Post: 2006-03-21, 04:35 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •